## Schlüsseldefinition (key_definition)

Eine Schlüsseldefinition (key_definition) in einer CREATE TABLE-Anweisung oder einer ALTER TABLE-Anweisung definiert den Schlüssel einer Basistabelle. Eingeleitet wird die Schlüsseldefinition durch die Schlüsselworte PRIMARY KEY (Primärschlüssel).

### Syntax

<key_definition> ::= PRIMARY KEY (<column_name>,...)

### Beispiele

SQL-Tutorial, Primärschlüssel

### Erläuterung

Der Spaltenname column_name muss eine Spalte der Basistabelle identifizieren. Die angegebenen Spaltennamen sind die Schlüsselspalten der Tabelle.

Eine Schlüsselspalte darf keine Spalte des Datentyps LONG identifizieren und ist immer eine NOT NULL-Spalte. Vom Datenbanksystem wird sichergestellt, dass keine Schlüsselspalte einen NULL-Wert besitzt und dass zwei Zeilen der Tabelle nicht in allen Schlüsselspalten die gleichen Werte besitzen.

Siehe auch:

Restriktionen für SQL-Anweisungen